## hubzero-mw2-front-proxy 2.2.0-3+deb8

=== debian/changelog ===
hubzero-mw2-front-proxy (2.2.0-3+deb8) unstable; urgency=low

  * Initial release of packaged hubzero-mw2-front-proxy

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 11 Apr 2018 10:21:02 -0400

## hubzero-mw2-front-proxy 2.2.1-1+deb8

=== Makefile ===
# @package      hubzero-mw2-front-proxy
# @file         Makefile
# @author       Pascal Meunier <pmeunier@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
USRSBIN=$(DESTDIR)/usr/sbin
USRLIB=$(DESTDIR)/usr/lib
ETCDIR=$(DESTDIR)/etc
USRSHARE=$(DESTDIR)/usr/share
USRSHAREMAN=$(DESTDIR)/usr/share/man
USRSHAREDOC=$(DESTDIR)/usr/share/doc
SBIN=$(DESTDIR)/sbin
LOGDIR=$(DESTDIR)/var/log
USRSHAREMANMAN8=$(DESTDIR)/usr/share/man/man8
USRLOCAL=$(DESTDIR)/usr/local

DISTRIBUTION := $(shell lsb_release -is)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)

ifeq (/etc/logrotate.hubzero.d,$(wildcard /etc/logrotate.hubzero.d))
  export LOGROTDIR=$(DESTDIR)/etc/logrotate.hubzero.d
else
  export LOGROTDIR=$(DESTDIR)/etc/logrotate.d
endif

# run under RUNUSER instead of running as www-data or root
# owns the log directory
RUNUSER=hz-front-proxy

# Group ownership is WEBGROUP for the configuration. 
# The middleware must be able to read the configuration  to provide the correct URL to the proxy
# Configuration is initially read by front-proxy as the root user before relinquishing privileges
# so doesn't need to be readable by RUNUSER.  
ifeq ($(DISTRIBUTION),Debian)
    WEBGROUP=www-data
else
    WEBGROUP=apache
endif

HOSTNAME=$(shell hostname -f)
export HOSTNAME

ifeq (/etc/httpd/conf.d,$(wildcard /etc/httpd/conf.d))
  export APACHECONFDIR=$(DESTDIR)/etc/httpd/conf.d
else
  export APACHECONFDIR=$(DESTDIR)/etc/apache2/sites-available
endif

all:
	@true

install:
	install --mode 0750 -d $(ETCDIR)/mw-proxy
	install --mode 0750 -d $(LOGDIR)/front-proxy
	install --mode 0644 -D logrotate_mw-proxy $(LOGROTDIR)/hubzero-mw2-front-proxy
	install --mode 0700 -D init_d_front-proxy $(ETCDIR)/init.d/front-proxy
	install --mode 0640 -D front-proxy.conf.template $(ETCDIR)/mw-proxy/front-proxy.conf
	install --mode 0755 -D front-proxy.py $(USRBIN)/front-proxy.py

manual_install: install postinst
	if [ ! -e /etc/mw-proxy/dhparam.pem ]; then \
	  /usr/bin/openssl dhparam -out /etc/mw-proxy/dhparam.pem 2048; \
	fi
	[ -d /etc/httpd/conf.d ] && grep -r SSLCertificateKeyFile /etc/httpd/conf.d  2>&1 >/dev/null && \
	(\
	  sed -i 's#FRONT_LISTEN_SSL.*#FRONT_LISTEN_SSL = True#' /etc/mw-proxy/front-proxy.conf; \
	) || true
	[ -d /etc/apache2/sites-available ] && grep -r SSLCertificateKeyFile /etc/apache2/sites-available 2>&1 >/dev/null && \
	(\
	  sed -i 's#FRONT_LISTEN_SSL.*#FRONT_LISTEN_SSL = True#' /etc/mw-proxy/front-proxy.conf; \
	) || true

uninstall:
	rm -f $(USRBIN)/front-proxy.py
	rm -f $(LOGROTDIR)/hubzero-mw2-front-proxy

postinst:
	sed -i "s|HOSTNAME|$(HOSTNAME)|" $(ETCDIR)/mw-proxy/front-proxy.conf
	if [ -x /usr/sbin/adduser ]; then \
		getent passwd $(RUNUSER) >/dev/null || adduser --system --home /var/lib/$(RUNUSER) --quiet --group --gecos "HUBzero Weber Front Proxy Service" $(RUNUSER) ; \
		getent group $(WEBGROUP) >/dev/null || adduser --system --home /var/lib/$(WEBGROUP) --quiet --group --gecos "Web service user" $(WEBGROUP) ; \
	else \
		getent group $(RUNUSER) >/dev/null || groupadd -r $(RUNUSER) ; \
		getent passwd $(RUNUSER) >/dev/null || useradd -r -g $(RUNUSER) -d /var/lib/$(RUNUSER) -s /sbin/nologin \
		-c "HUBzero Weber Proxy Service" $(RUNUSER) ; \
		getent group $(WEBGROUP) >/dev/null || groupadd -r $(WEBGROUP) ; \
	fi

	install --mode 0750 -o $(RUNUSER) -g $(RUNUSER) -d /var/lib/$(RUNUSER)
	install --mode 0750 -o $(RUNUSER) -g $(RUNUSER) -d /var/log/front-proxy
	chown -R root:$(WEBGROUP) $(ETCDIR)/mw-proxy
	chmod 0750 $(ETCDIR)/mw-proxy
	chown -R $(RUNUSER):$(RUNUSER) $(LOGDIR)/front-proxy

clean:
	rm -f $(USRBIN)/front-proxy.py
	rm -f $(LOGROTDIR)/hubzero-mw2-front-proxy
	rm -f $(ETCDIR)/init.d/front-proxy

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-mw2-front-proxy (2.2.1-1+deb8) unstable; urgency=low

  * fix for infinite loop with EBADF

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Feb 2019 15:31:48 -0500

hubzero-mw2-front-proxy (2.2.0-3) unstable; urgency=low

  * Initial release of packaged hubzero-mw2-front-proxy

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 11 Apr 2018 10:21:02 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-mw2-front-proxy
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-mw2-front-proxy install
	#$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-mw2-front-proxy COMPILE=--no-compile install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-mw2-front-proxy 2.2.3-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-mw2-front-proxy
 # @file         Makefile
-# @author       Pascal Meunier <pmeunier@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRBIN=$(DESTDIR)/usr/bin
@@ -98,6 +97,7 @@
 uninstall:
 	rm -f $(USRBIN)/front-proxy.py
 	rm -f $(LOGROTDIR)/hubzero-mw2-front-proxy
+	rm -f $(ETCDIR)/init.d/front-proxy
 
 postinst:
 	sed -i "s|HOSTNAME|$(HOSTNAME)|" $(ETCDIR)/mw-proxy/front-proxy.conf
@@ -118,8 +118,6 @@
 	chown -R $(RUNUSER):$(RUNUSER) $(LOGDIR)/front-proxy
 
 clean:
-	rm -f $(USRBIN)/front-proxy.py
-	rm -f $(LOGROTDIR)/hubzero-mw2-front-proxy
-	rm -f $(ETCDIR)/init.d/front-proxy
+	@true
 
 .PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-mw2-front-proxy (2.2.3-1+deb9) unstable; urgency=low

  * fix tuple vs list database issue
  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 18:43:13 -0700

hubzero-mw2-front-proxy (2.2.2-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 02 May 2020 12:54:07 -0700

hubzero-mw2-front-proxy (2.2.1-1) unstable; urgency=low

  * fix for infinite loop with EBADF

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 19 Feb 2019 15:31:48 -0500

=== debian/control ===
Source: hubzero-mw2-front-proxy
Section: misc
Priority: optional
Maintainer: Pascal Meunier <pmeunier@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
X-Python-Version: >= 2.7
Homepage: http://hubzero.org

Package: hubzero-mw2-front-proxy
Architecture: all
Depends: python (>=2.7), ${misc:Depends}
Description: HUBzero Middleware 2 Proxy
 Public facing proxy HUBzero Middleware 2

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-mw2-front-proxy
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
